Hundreds of Android and iOS apps are still vulnerable to FREAK attacks

FireEye's findings highlight how even serious software flaws can take a long time to get fixed


Hundreds of Android and iOS apps are still vulnerable to a dangerous attack revealed two weeks ago that can compromise encrypted data, a security vendor said Tuesday.

The apps have not yet been patched against the FREAK attack, short for Factoring attack on RSA-EXPORT Keys, which was revealed by researchers on March 3.

The unpatched apps, which were not identified, are in categories including finance, communication, shopping, business, and medicine, computer security company FireEye said in a blog post Tuesday.

The findings highlight how even some of the most publicized and severe flaws can take quite a bit of time to get fixed. That poses risks for people using apps whose developers are not quick to patch them.

Researchers revealed earlier this month that many software programs and browsers were vulnerable to FREAK, which is a flaw that can allow an SSL/TLS (Secure Sockets Layer/Transport Security Layer) encryption key to be downgraded to 512 bits -- much weaker than the 2,048-bit keys typically used today.

The flaw is a legacy of U.S. government export restrictions in the 1990s that banned selling software products overseas with strong encryption keys. Many products can still be forced into using weaker keys, which can be cracked by running mathematical software on a public cloud service.

FREAK is unique in that a wide variety of products need to be upgraded to fix the problem. Apple and Google have patched their mobile operating systems, but many apps compatible with those devices must also be upgraded. FireEye found many examples where, as of last week, that hadn't happened.

It found 1,228 Android applications in Google Play that are still vulnerable, of the 10,985 they analyzed. All the apps had been downloaded more than a million times. Of the vulnerable apps, 664 use Android's bundled OpenSSL library, while the remainder have their own compiled version of OpenSSL, FireEye said.

OpenSSL is a widely used open source software package used for SSL/TLS connections. The software has been subject to intense scrutiny over the last year after several major flaws were found in it, including Heartbleed, POODLE and FREAK.

On the iOS side, FireEye said 771 of 14,079 apps it looked at were vulnerable, though in most cases only if they were running on iOS versions prior to 8.2, which patched the issue. Only seven apps were still vulnerable on iOS 8.2.

"The FREAK attack poses severe threats to the security and privacy of mobile apps," FireEye wrote. "We encourage app developers and website admins to fix this issue as soon as possible."


From CIO: 8 Free Online Courses to Grow Your Tech Skills
View Comments
Join the discussion
Be the first to comment on this article. Our Commenting Policies